//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using CommunityServer.Components;
using CommunityServer.ControlPanel.Controls;
using CommunityServer.ControlPanel.UI;
using CommunityServer.Controls;
using CA = ComponentArt.Web.UI;
using ResourceControl = CommunityServer.Controls.ResourceControl;

namespace CommunityServer.ControlPanel.Forums
{
	/// <summary>
	///		Summary description for RankListControl.
	/// </summary>
	public class RankListControl : BaseForumGridControl
	{
		protected CA.Grid Grid1;
		protected Modal Modal1;
		protected ResourceControl FeedbackFilterLabel;
		protected Hyperlink AddRank;

		override protected void OnInit(EventArgs e)
		{
			this.Load += new EventHandler(this.Page_Load);
			base.OnInit(e);
		}
		

		private void Page_Load(object sender, EventArgs e)
		{

			buildGrid();
			Grid.DataBind();
		}

		private void InitializeComponent()
		{
		
		}

		protected override void buildGrid()
		{
			
		    ArrayList ranks = Ranks.GetRanks(false);
			Grid.DataSource = ranks;
			this.RecordCount = ranks.Count;

			ApplyUserSettings();

		}
		
	}
}
